<?php
class Common{

	public static function sessionUserData($attr){
		if(isset(Yii::app()->user->User) && isset(Yii::app()->user->User->$attr)){
			return Yii::app()->user->User->$attr;
		}
	}

	public static function sessionAdminData($attr){
		if(isset(Yii::app()->user->Iuser) && isset(Yii::app()->user->Iuser->$attr)){
			return Yii::app()->user->Iuser->$attr;
		}
	}

	public static function createUrl($route, $params=array(), $ampersand='&'){
		return Yii::app()->createUrl($route, $params, $ampersand);
	}

	public static function createAbsoluteUrl($route, $params=array()){
		return Yii::app()->createAbsoluteUrl($route, $params);
	}

	public static function admincreateUrl($route, $params=array(), $ampersand='&'){
		return Yii::app()->createUrl(ADMIN.'/'.$route, $params, $ampersand);
	}
	public static function admincreateAbsoluteUrl($route, $params=array()){
		return Yii::app()->createAbsoluteUrl(ADMIN.'/'.$route, $params);
	}

	public static function usercreateUrl($route, $params=array(), $ampersand='&'){
		return Yii::app()->createUrl(USER.'/'.$route, $params, $ampersand);
	}

	public static function agentcreateUrl($route, $params=array(), $ampersand='&'){
		return Yii::app()->createUrl(AGENT.'/'.$route, $params, $ampersand);
	}

	public static function usercreateAbsoluteUrl($route, $params=array()){
		return Yii::app()->createAbsoluteUrl(USER.'/'.$route, $params);
	}

	public static function regulatorcreateUrl($route, $params=array(), $ampersand='&'){
		return Yii::app()->createUrl(REGULATOR.'/'.$route, $params, $ampersand);
	}
	public static function regulatorcreateAbsoluteUrl($route, $params=array()){
		return Yii::app()->createAbsoluteUrl(REGULATOR.'/'.$route, $params);
	}

	public static function PaginationUrl($route){
		return $route;
	}

	public static function adminPaginationUrl($route){
		return ADMIN.'/'.$route;
	}

	public static function distributorPaginationUrl($route){
		return DISTRIBUTOR.'/'.$route;
	}

	public static function promptData(){
		return '-Select-';
	}

	public static function statusData(){
		return array(''=>'All','0'=>'Blocked','1'=>'Active');
	}

	public static function approveData(){
		return array('0'=>'Pending','1'=>'Approved','2'=>'Rejected');
	}

	public static function approveDataAll(){
		return array(''=>'All','0'=>'Pending','1'=>'Approved','2'=>'Rejected');
	}
	

	public static function accountTypeData(){
		return array(''=>'All','1'=>'Personal','2'=>'Business');
	}

	public static function ProcessTypeData(){
		return array('1'=>'Transfer from Bank','2'=>'Withdraw','3'=>'Business');
	}

	public static function accountStatusData(){
		return array(''=>'All','1'=>'Open','2'=>'Closed');
	}

	public static function accountTypeDataValue($data=''){
		$value = array('1'=>'Individual','2'=>'Business');
		if($data)
			return $value[$data];
		else
			return $value;
	}

	public static function transactionModeData(){
		return array('1'=>'By Bank','2'=>'Credit Card','3'=>'PayPal');
	}


	public static function transactionModeDataValue($data=''){
		$value = array('1'=>'By Bank','2'=>'Credit Card','3'=>'PayPal');
		if($data)
			return $value[$data];
		else
			return $value;
	}


	public static function transactionTypeAllData(){
		return array(''=>'All','0'=>'Pending','1'=>'Success','2'=>'Completed','3'=>'Cancelled','4'=>'Expired');
	}

	public static function transactionTypeData(){
		return array(''=>'All','1'=>'Completed','2'=>'Pending','3'=>'Refunded','4'=>'Cancelled');
	}

	public static function MoneyTypeData(){
		return array(''=>'All','1'=>'Send','2'=>'Request','3'=>'Cancelled');
	}

	public static function transactionTypeDataValue($data=''){
		$value = array('1'=>'Completed','2'=>'Pending','3'=>'Refunded','4'=>'Cancelled');
		if($data)
			return $value[$data];
		else
			return $value;
	}

	public static function accountStatusDataValue($data=''){
		$value = array('1'=>'Personal','2'=>'Business');
		if($data)
			return $value[$data];
		else
			return $value;
	}

	public static function statusDataValue($data=''){
		$value = array('0'=>'Not Verified','1'=>'Verified');
		if($data)
			return $value[$data];
		else
			return $value;
	}

	public static function statusAll($remove=""){
		$data=array('0'=>'Inactive','1'=>'Active','2'=>'Delete');
		if($remove)
			$data=array('0'=>'Inactive','1'=>'Active');

		return $data;
	}

	public static function statusAssign(){
		return array('0'=>'New','1'=>'Assigned','2'=>'Used','3'=>'Damage');
	}

	public static function ChangeStatus(){
		return array('1'=>'Active','2'=>'Deactivated');
	}

	public static function PositionStatus(){
		return array('1'=>'Left','2'=>'Right');
	}

	public static function ChangeStatusValue($data=''){
		$value = array('1'=>'Active','2'=>'Deactivated');
		if($data)
			return $value[$data];
		else
			return $value;
	}
	
	public static function adminAssignValue($data){
		$value = array('1'=>'Assigned','2'=>'Used','3'=>'Damage');
		return $value[$data];
	}
	public static function adminPaymentValue($data){
		$value = array('1'=>'Partially','2'=>'Completed');
		return $value[$data];
	}

	public static function PaymentValue($data){
		$value = array('1'=>'Partially','2'=>'Completed');
		return $value[$data];
	}

	public static function distributorAssignValue($data){
		$value = array('1'=>'New','2'=>'Used','3'=>'Damage');
		return $value[$data];
	}

	public static function distributorAssignAll(){
		return array(''=>'All','1'=>'New','2'=>'Used','3'=>'Damage');
	}

	public static function adminAssignAll(){
		return array(''=>'All','1'=>'New','2'=>'Used','3'=>'Damage');
	}

	public static function adminAssign(){
		return array(''=>'All','1'=>'Assigned','2'=>'Used','3'=>'Damage');
	}

	public static function adminPaymentStatus(){
		return array(''=>'All','1'=>'Partially','2'=>'Completed');
	}

	public static function PaymentStatus(){
		return array(''=>'All','1'=>'Partially','2'=>'Completed');
	}

	public static function AssignAll(){
		return array(''=>'All','2'=>'Used','3'=>'Damage');
	}

	public static function statusShow(){
		return array('0'=>'Inactive','1'=>'Active');
	}

	public static function getUserData($user_id,$field_name)
	{

		if($user_id != "" && $field_name !='')
		{
			$get_user_data = InternalUser::model()->findByPk($user_id);
			if($get_user_data && isset($get_user_data->$field_name))
				return $get_user_data->$field_name;
			else
				return "-";
		}else{
			return "-";
		}
	}


	public static function DDFormat(){
		return 'dd/mm/yy';
	}

	public static function insertFormat($dateString) { //  datepicker calander DD/MM/YYYY format to Y-m-d table format
		$insertFormat = $dateString;
		if($dateString) {
			$temp 			= explode('/', $dateString);
			$insertFormat   = (isset($temp[2]) ? $temp[2] :'').'-'.(isset($temp[1]) ? $temp[1] :'').'-'.(isset($temp[0]) ? $temp[0] :'');
			return $insertFormat;
		}
	}

	public static function displayFormat($dateString, $format='d/m/Y') {
		if($dateString =='' || $dateString =='0000-00-00') return '';
		$dateString !='' ? $date = new DateTime($dateString) : '' ;
		return $date->format($format);
	}

	public static function datetimeFormat($dateString, $format='d/m/Y') {
		if($dateString =='' || $dateString =='0000-00-00 00:00:00') return '-';
		$dateString !='' ? $date = new DateTime($dateString) : '' ;
		return $date->format($format);
	}

	public static function getCountValue($model,$condition){
		$modelname = new $model;
		$modeltablename = $modelname->tableName();
		$sql = "SELECT count(*) FROM $modeltablename WHERE $condition";
		$favorites = Yii::app()->db->createCommand($sql)->queryScalar();
		return $favorites;
	}

	public static function getTotalValue($field,$model,$condition){
		$modelname = new $model;
		$modeltablename = $modelname->tableName();
		$sql = "SELECT sum(".$field.") FROM $modeltablename WHERE $condition";
		$favorites = Yii::app()->db->createCommand($sql)->queryScalar();
		return $favorites;
	}

	public static function getVehicles($model,$condition){
		$modelname = new $model;
		$modeltablename = $modelname->tableName();
		$sql = "SELECT count(*) FROM $modeltablename WHERE vehicle_custom_id = $condition";
		$favorites = Yii::app()->db->createCommand($sql)->queryScalar();
		return $favorites;
	}

    public static function pre($value){

    	$html  = '<pre>';
    	$html .= print_r($value);
    	$html .= '</pre>';
    	echo $html;
    }

	public static function getSingleValue($field,$model,$condition){
		$modelname = new $model;
		$modeltablename = $modelname->tableName();
		$sql = "SELECT ".$field." FROM $modeltablename WHERE $condition";
		$favorites = Yii::app()->db->createCommand($sql)->queryScalar();
		return $favorites;
	}

	public static function getArrayValue($model,$condition){
		$modelname = new $model;
		$modeltablename = $modelname->tableName();
		$sql = "SELECT * FROM $modeltablename WHERE $condition";
		$favorites = Yii::app()->db->createCommand($sql)->query();
		return $favorites;
	}

	public static function humanTiming($time)
	{

		$time = time() - $time; // to get the time since that moment

		$tokens = array (
			31536000 => 'year',
			2592000 => 'month',
			604800 => 'week',
			86400 => 'day',
			3600 => 'hour',
			60 => 'minute',
			1 => 'second'
		);

		foreach ($tokens as $unit => $text) {
			if ($time < $unit) continue;
			$numberOfUnits = floor($time / $unit);
			return $numberOfUnits.' '.$text.(($numberOfUnits>1)?'s':'');
		}
	}

	public static function limit_words($string, $word_limit="10") {

		// creates an array of words from $string (this will be our excerpt) explode divides the
		// excerpt up by using a space character
		$words = explode(' ', $string);

		// this next bit chops the $words array and sticks it back together starting at the first
		// word '0' and ending at the $word_limit the $word_limit which is passed in the function
		// will be the number of words we want to use implode glues the chopped up array back
		// together using a space character
		return implode(' ', array_slice($words, 0, $word_limit));

	}

	public static function addnewbutton($actionname,$turl)
	{
		$status = Common::getStatus($actionname);
		if($status || (isset(Yii::app()->user->Iuser) && (Yii::app()->user->Iuser->admin_id == 1)))
			return CHtml::link('Add New',Common::$turl($actionname),array('class'=>'btn btn-success pull-right', 'style'=>'margin-right: 10px;'));
	}

	public static function actionbutton($icon=array())
	{
		//1=>Update 2=>Delete 3=>Details 4=>Lock 5 =>Unlock 6=>Alias
		$tpl="";
		if(is_array($icon)){
			foreach($icon as $actionname => $icons){
				$status = Common::getStatus($actionname);
				//echo $actionname;
				if($status || (isset(Yii::app()->user->Iuser) && (Yii::app()->user->Iuser->admin_id == 1)))
				{
					$tpl .="{".$icons."}  ";
				}
			}
		}
		return $tpl;
	}

	public static function valuedisp($filename){
		return  "<span title='".html_entity_decode($filename)."'>".trim(htmlspecialchars_decode($filename, ENT_QUOTES))."</span>";
	}


	public static function sendEmail($to,$subject,$message){

		$headers = "MIME-Version: 1.0" . "\r\n";
		$headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
		$headers .= 'From: <noreply@gps.com>' . "\r\n";
		if(mail($to,$subject,$message,$headers))
			$result="SEND";
		else
			$result="NOT SEND";

		return $result;

	}

	public static function checkBoxcode($id=''){
		$chk = '';
		if($id){
			$chk = "<input type='checkbox' name='id[]' value='$id' style='width:18px; height:18px;' class='chk'>";
		}
		return $chk;
	}

	public static function checkBoxData($id='',$status=''){
		$chk = '';
		if($id){
			if($status != '1')
				$chk = "<input type='checkbox' name='id[]' value='$id' style='width:18px; height:18px;' class='chk'>";
		}
		return $chk;
	}


	public static function generateRandomAString($length = ''){
		$characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_.';
		$charactersLength = strlen($characters);
		$randomString = '';
		for ($i = 0; $i < $length; $i++) {
			$randomString .= $characters[rand(0, $charactersLength - 1)];
		}
		return $randomString;
	}

/*
	public static function sendEmail($from,$to,$name,$subject,$content,$header){

		require("protected/extensions/PHPMailer/class.phpmailer.php");
		$mailer = new PHPMailer();
		$mailer->IsHTML(true);
		$mailer->SMTPAuth = true;
		$mailer->SMTPSecure = "ssl";
		$mailer->Host = "smtp.gmail.com";
		$mailer->Port = 465;
		$mailer->mailHeader=$header;
		$mailer->Username = "gajendran@techcmantix.com";
		$mailer->Password = "gaja9952847249";
		$mailer->From = $from;
		$mailer->FromName = $name;
		$mailer->AddAddress($to);
		$mailer->Subject = $subject;
		$mailer->Body = $content;
		if (!$mailer->Send())
			return 0;
		else
			return 1;
	}
*/
	public static function generateRandomString($length = 10){
		$characters = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ';
		$charactersLength = strlen($characters);
		$randomString = '';
		for ($i = 0; $i < $length; $i++) {
			$randomString .= $characters[rand(0, $charactersLength - 1)];
		}
		return $randomString;
	}

	public static function printr($data){
		echo "<pre>";
		print_r($data);
		echo "</pre>";
	}

	 /* bracode */
    public static function getItemBarcode($valueArray) {
        $elementId = $valueArray['elementId'] . "_bcode"; /*the div element id*/
        $value = $valueArray['barocde'];
        $type = 'code128'; /* you can set the type dynamically if you want valueArray eg - $valueArray['type']*/
        return self::getBarcode(array('elementId' => $elementId, 'value' => $value, 'type' => $type)); 
 		
    }
 
    /**
     * This function returns the item barcode
     */
    public static function getBarcode($optionsArray) {
 
        Yii::app()->getController()->widget('ext.barcode.Barcode', $optionsArray);

    }
}
?>