<?php

class City extends CActiveRecord
{
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	public function tableName()
	{
		return 'pc_city';
	}

	public static function gettablename()
	{
		$City = new City;
		return $City->tableName();
	}

	public function rules()
	{
		return array(
			array('ci_id, ci_name, ci_status', 'required', 'on'=>'manage'),
			array('ci_id, ci_name, ci_status', 'safe', 'on'=>'search'),
		);
	}

	public static function listData($id)
	{
		$listData = CHtml::listData(City::model()->findAll(array('condition'=>"ci_state_id =".$id,'order'=>'ci_name ASC')),'ci_id','ci_name');
		return $listData;
	}

	public function relations()
	{
		return array(
		);
	}

	public function attributeLabels()
	{
		return array(
			'ci_id' => 'i',
			'ci_name' => 'Name',
			'ci_status' => '- Inactive, 1 - Active',
		);
	}

	public function search()
	{
		$criteria=new CDbCriteria;
		$criteria->compare('ci_id',$this->ci_id);
		$criteria->compare('ci_name',$this->ci_name,true);
		$criteria->compare('ci_status',$this->ci_status);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}
}