<?php

class State extends CActiveRecord
{
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	public function tableName()
	{
		return 'pc_state';
	}

	public static function gettablename()
	{
		$State = new State;
		return $State->tableName();
	}

	public function rules()
	{
		return array(
			array('s_id, s_name', 'required', 'on'=>'manage'),
			array('s_id, s_name', 'safe', 'on'=>'search'),
		);
	}

	public static function listData($id)
	{
		$listData = CHtml::listData(State::model()->findAll(array('condition'=>"s_country_id = ".$id,'order'=>'s_name ASC')),'s_id','s_name');
		return $listData;
	}

	public function relations()
	{
		return array(
		);
	}

	public function attributeLabels()
	{
		return array(
			's_id' => '',
			's_name' => 'Name',
			's_status' => '-Inactive, 1 -Active',
		);
	}

	public function search()
	{
		$criteria=new CDbCriteria;
		$criteria->compare('s_id',$this->s_id);
		$criteria->compare('s_name',$this->s_name,true);
		$criteria->compare('s_status',$this->s_status);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}
}