<div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                    <h2 class="page-header">Update User Details</h2>
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            User Details
                        </div>
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-lg-12">
                                        <?php $form=$this->beginWidget('CActiveForm', array(
                                        'id'=>'users-details-form',
                                        'htmlOptions'=>array('role'=>'form'),
                                        )); ?>
                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_firstname'); ?> : 
                                        <?php echo $model->pcu_firstname; ?>
                                        </div>
                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_middlename'); ?> : 
                                        <?php echo $model->pcu_middlename; ?>
                                        </div>
                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_lastname'); ?> :
                                        <?php echo $model->pcu_lastname; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_address1'); ?> :
                                        <?php echo $model->pcu_address1; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_dob'); ?> :
                                        <?php echo $model->pcu_dob; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_email'); ?>
                                        <?php echo $model->pcu_email; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_address2'); ?> : 
                                        <?php echo $model->pcu_address2; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_country'); ?>
                                        <?php echo $model->pcu_country; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_state'); ?>
                                        <?php echo $model->pcu_state; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_city'); ?>
                                        <?php echo $model->pcu_city; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_location'); ?>
                                        <?php echo $model->pcu_location; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_zipcode'); ?>
                                        <?php echo $model->pcu_zipcode; ?>
                                        </div>

                            
                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_mobile'); ?>
                                        <?php echo $model->pcu_mobile; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_user_balance'); ?>
                                        <?php echo $model->pcu_user_balance; ?>
                                        </div>
                                        
                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_account_type'); ?>
                                        <?php echo $model->pcu_account_type; ?>
                                        </div>
                                        
                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_account_status'); ?>
                                        <?php echo $model->pcu_account_status; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_mobile_verified'); ?>
                                        <br/>
                                        <?php echo isset($model->pcu_mobile_verified) ? '<span class="label label-success">Verified</span>' : '<span class="label label-danger">Not Verified </span>'; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_email_verified'); ?>
                                        <br/>
                                        <?php echo isset($model->pcu_email_verified) ? '<span class="label label-success">Verified</span>' : '<span class="label label-danger">Not Verified </span>'; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_bank_linked'); ?>
                                        <br/>
                                        <?php echo isset($model->pcu_bank_linked) ? '<span class="label label-success">linked</span>' : '<span class="label label-danger">Not linked </span>'; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_card_linked'); ?>
                                        <br/>
                                        <?php echo isset($model->pcu_card_linked) ? '<span class="label label-success">linked</span>' : '<span class="label label-danger">Not linked </span>'; ?>
                                        </div>
                                        <?php if(count($cards)){ ?>
                                        <table class="table table-striped">
                                        <thead>
                                        <tr>
                                        <th>Card Name</th>
                                        <th>Card Method / Type</th>
                                        <th>Card Number</th>
                                        <th>Card Cvv</th>
                                        <th>Card Expire Y/M</th>
                                        <th>Card Information</th>
                                        <th>Card Status</th>
                                        <th>Card Primary</th>
                                        <th>Created On</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <?php 
                                        foreach($cards as $card){
                                            ?>
                                        <tr>
                                        <td><?php echo $card->pcc_cardname;?></td>
                                        <td><?php echo ($card->pcc_card_method == 1) ? '<span class="label label-success">CR</span>' : '<span class="label label-primary">DR </span>'; echo ' / '.$card->pcc_card_type;?></td>
                                        <td><?php echo $card->pcc_cardnumber;?></td>
                                        <td><?php echo $card->pcc_cvv;?></td>
                                        <td><?php echo $card->pcc_expire_month .'/' .$card->pcc_expire_year;?></td>
                                        <td><?php echo $card->pcc_verified_information;?></td>
                                        <td><?php echo ($card->pcc_status == 1) ? '<span class="label label-success">Confirmed</span>' : '<span class="label label-danger">Not Confirmed </span>'; ?></td>
                                        <td><?php echo ($card->pcc_default == 1)  ? '<span class="label label-primary">Yes</span>' : '<span class="label label-warning">No </span>'; ?></td>
                                        <td><?php echo $card->created_at;?></td>
                                        </tr>
                                        <?php }?>
                                        </tbody>
                                        </table>
                                        <?php }?>
                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_sec_question1'); ?>
                                        <?php echo $model->pcu_sec_question1; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_sec_answer1'); ?>
                                        <?php echo $model->pcu_sec_answer1; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_sec_question2'); ?>
                                        <?php echo $model->pcu_sec_question2; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_sec_answer2'); ?>
                                        <?php echo $model->pcu_sec_answer2; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'pcu_status'); ?>
                                        <?php echo $model->pcu_status; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'created_at'); ?>
                                        <br/>
                                        <?php echo $model->created_at; ?>
                                        </div>

                                        <div class="form-group">
                                        <?php echo $form->labelEx($model,'updated_at'); ?>
                                        <br/>
                                        <?php echo $model->updated_at; ?>
                                        </div> 
                                        <?php echo CHtml::Link('Back', Common::admincreateUrl('userlist'), array('class'=>'btn btn-primary')); ?>
                                  <?php $this->endWidget(); ?>
                                </div>
                                <!-- /.col-lg-6 (nested) -->
                            </div>
                            <!-- /.row (nested) -->
                        </div>
                        <!-- /.panel-body -->
                    </div>
                    <!-- /.panel -->
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
        </div>
 <!-- /#page-wrapper -->

<script type="text/javascript">
     
$(document).ready(function(e){

    $('#Userdetails_pcu_state').attr('disabled',true);
    $('#Userdetails_pcu_city').attr('disabled',true);
    $(document).on('change','#Userdetails_pcu_country',function(e){

        var CountryId = $('#Userdetails_pcu_country').val();
        var querystring = "id="+CountryId;
        $.ajax({
            url: '<?php echo Common::admincreateUrl("_getState");?>',
            data: querystring,
            success: function(data){
                $('#Userdetails_pcu_state').attr('disabled',false);
                if(data != -1){
                    $("#Userdetails_pcu_state").html(data);
                } else {
                    $("#Userdetails_pcu_state").html('<option>No State</option>');
                }
            }
        });
});

$(document).on('change','#Userdetails_pcu_state',function(e){

        var StateId = $('#Userdetails_pcu_state').val();
        var querystring = "id="+StateId;
        $.ajax({
            url: '<?php echo Common::admincreateUrl("_getCity");?>',
            data: querystring,
            success: function(data){
                $('#Userdetails_pcu_city').attr('disabled',false);
                if(data != -1){
                    $("#Userdetails_pcu_city").html(data);
                } else {
                    $("#Userdetails_pcu_city").html('<option>No City</option>');
                }
            }
        });
});

});
 </script>