<?php

/**
 * Iverest Ltd. (http://www.iverest.com)
 *
 * CMPIAuthenticateRequest.php
 * Version 1.0 25/04/2014
 * 
 */

class CMPIAuthenticateRequest extends CMPIRequest {
	
	public function __construct() {
		parent::__construct();
		$this->setField('MsgType', 'cmpi_authenticate');
		$this->setField('Version', '1.7');
	}
	
	public function send($url) {

		foreach ($this->fields as $field => $value) {
			$this->centinelClient->add($field, $value);
		}
		$this->centinelClient->sendHttp($url, '', null);
		$this->response->setData($this->centinelClient->getResponse());
		return $this->response;
	
	}
	
}