 <div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                    <h1 class="page-header">Transactions -  <?php if(isset($_GET['type']) && $_GET['type'] == 1){ echo "Deposit";} else if(isset($_GET['type']) && $_GET['type'] == 2) echo "Withdrawal"; else if(isset($_GET['type']) && $_GET['type'] == 3) echo "Disputes"; else echo "All";?></h1>
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                        Manage <?php if(isset($_GET['type']) && $_GET['type'] == 1){ echo "Deposit";} else if(isset($_GET['type']) && $_GET['type'] == 2) echo "Withdrawal"; else if(isset($_GET['type']) && $_GET['type'] == 3) echo "Disputes"; else echo "All Transactions";?>
                         </div>
                        <!-- /.panel-heading -->
                        <div class="panel-body"> 
                        <div class="well">
                        <?php $form=$this->beginWidget('CActiveForm', array(
                            'action'=>Yii::app()->createUrl($this->route),
                            'method'=>'get',
                        )); ?>

                        <div class="row">
                            
                            <div class="col-md-3">
                            <div class="form-group">
                            <?php echo $form->label($model,'pct_transaction_id'); ?>
                            <?php echo $form->textField($model,'pct_transaction_id', array('class'=>'form-control')); ?></div>
                            </div>
                            <div class="col-md-3">
                            <div class="form-group"> <?php echo $form->label($model,'pct_transaction_status'); 
                            echo $form->dropDownList($model,'pct_transaction_status', Common::transactionTypeData() , array('class'=>'form-control'));?>
                            </div>
                            </div>
                           <div class="col-md-3"><div class="form-group">
                            <?php echo $form->label($model,'pct_referece_no'); ?>
                            <?php echo $form->textField($model,'pct_referece_no', array('class'=>'form-control')); ?></div>
                            </div>
                            <div class="col-md-3">
                            <div class="form-group"><?php echo $form->label($model,'pct_transaction_date'); ?>
                            <?php echo $form->textField($model,'pct_transaction_date', array('class'=>'form-control')); ?></div>
                            </div>
                            <div class="col-md-6 col-md-offset-6">
                            <button type="submit" data-toggle="tooltip" title="delete" class="btn btn-primary pull-right"><i class="fa fa-search"></i> Search</button></div>
                        </div>
                        <?php $this->endWidget(); ?>
                        </div>
                        
                        <form name="all-actions" method="post" id="all-actions" class="col-md-12">
                        <?php 
                        $this->widget('zii.widgets.grid.CGridView', array(
                          'id'=>'transactiondetails-grid',
                          'dataProvider'=>$model->admin_transactions_search(),
                          'itemsCssClass' => 'table table-striped table-bordered table-hover',
                          'pagerCssClass' => 'dataTables_paginate paging_bootstrap pull-right',
                          'enableSorting' => true,
                          'enableHistory'=>false,
                          'template'=>'<div class=row>&nbsp;</div>{items}<div class=row>&nbsp;</div>{summary}{pager}',
                          'columns'=>array( 
                            'pct_transaction_id',
                            array('header' => 'Email', 'value'=>'($data->UserRel) ? $data->UserRel->pcu_email :"-"'),
                            'pct_referece_no',
                            'pct_transaction_amount',
                            'pct_transaction_charge',
                            array('header' => 'Type', 'type' => 'html','value'=>'getTType($data->pct_transaction_type)'),
                            array('header' => 'Status', 'type' => 'html','value'=>'getStatus($data->pct_transaction_status)'),
                            'pct_transaction_date',
                            ),
                          'pager' => array(
                            'htmlOptions'=>array('class'=>'pagination'),
                            'selectedPageCssClass'=>'active',
                            'firstPageLabel'=>'First',
                            'prevPageLabel'=>'Previous',
                            'nextPageLabel'=>'Next',
                            'lastPageLabel'=>'Last',
                            'header'=>'',
                            'maxButtonCount'=>8,
                          ),
                        ));
                      ?>
                        </div>
                      </form>
                        </div>
                        <!-- /.panel-body -->
                    </div>
                    <!-- /.panel -->
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
   </div>
 <!-- /#page-wrapper -->
<?php 
function getStatus($id){

    if($id == 1)
        return '<span class="label label-primary">Pending</span>';
    else if ($id == 2)
        return '<span class="label label-success">Completed</span>';
    else if ($id == 3)
        return '<span class="label label-warning">Refunded</span>';
    else if ($id == 4)
        return '<span class="label label-danger">Cancelled</span>';

}

function getTType($id){

    if($id == 1)
        return '<span class="label label-success">Deposit</span>';
    else if ($id == 2)
        return '<span class="label label-warning">Withdraw</span>';
    else if ($id == 3)
        return '<span class="label label-danger">Disputes</span>';

}
 ?>