<div class="row">
<div class="well">
    <p><strong>List of API's</strong> <span class="pull-right"><a href="<?php echo Common::usercreateUrl('createapi'); ?>" class="list-group-item">Create API</a></span></p>
    <p>&nbsp;</p>
                             <?php 
                                $this->widget('zii.widgets.grid.CGridView', array(
                                  'id'=>'apidetails-grid',
                                  'dataProvider'=>$model->user_api_search(),
                                  'itemsCssClass' => 'table table-striped table-bordered table-hover',
                                  'pagerCssClass' => 'dataTables_paginate paging_bootstrap pull-right',
                                  'enableSorting' => true,
                                  'enableHistory'=>false,
                                  'template'=>'<div class=row>&nbsp;</div>{items}<div class=row>&nbsp;</div>{summary}{pager}',
                                  'columns'=>array( 
                                   'pcuas_name',
                                   'pcuas_api_key',
                                   'pcuas_password',
                                    array('header' => 'Status', 'type' => 'html','value'=>'getStatus($data->pcuas_status)'),
                                   'pcuas_created_date',
                                    array(
                                      'header'=>'Actions',
                                      'class'=>'CButtonColumn',
                                      'template'=>'{update}{delete}',
                                      'buttons'=>array (
                                        'update'=> array(
                                          'label'=>'',
                                          'imageUrl'=>'',
                                          'url'=>'Common::usercreateUrl("editapidetails",array("id"=>$data->pcuas_id))',
                                           'options'=>array( 'class'=>'fa fa-edit', 'rel' => 'tooltip', 'data-toggle' => 'tooltip', 'title' => Yii::t('lang', 'edit') ),
                                        ),

                                        'delete'=>array(
                                          'label'=>'',
                                          'imageUrl'=>'',
                                          'url'=>'Common::usercreateUrl("apidetailsdelete",array("id"=>$data->pcuas_id))',
                                            'click'=>'function(){
                                              if(!confirm("Are you sure, want to delete the api details and it\"s related data?")) return false;
                                              $.fn.yiiGridView.update("apidetails-grid", {
                                                type:"POST", url:$(this).attr("href"),
                                                success:function(data) {
                                                  if(!data){
                                                    $.fn.yiiGridView.update("apidetails-grid");
                                                    new PNotify({title: "Success",text: "Transaction Details deleted successfully",type: "success",icon:"fa fa-check-circle", styling:"fontawesome"});
                                                  }
                                                }
                                              })
                                              return false;
                                            }',
                                          'options'=>array( 'class'=>'fa fa-fw fa-trash-o', 'rel' => 'tooltip', 'data-toggle' => 'tooltip', 'title' => Yii::t('lang', 'delete') ),
                                        ),
                                      ),
                                    ),

                                    
                                  ),
                                  'pager' => array(
                                    'htmlOptions'=>array('class'=>'pagination'),
                                    'selectedPageCssClass'=>'active',
                                    'firstPageLabel'=>'First',
                                    'prevPageLabel'=>'Previous',
                                    'nextPageLabel'=>'Next',
                                    'lastPageLabel'=>'Last',
                                    'header'=>'',
                                    'maxButtonCount'=>8,
                                  ),
                                ));
                              ?>
                           
</div>

</div>
<p>&nbsp;</p>

<?php 
function getStatus($id){

    if($id == 1)
        return '<span class="label label-success">Active</span>';
    else if ($id == 2)
        return '<span class="label label-danger">Inactive</span>';
}
?>
