  <!-- Start form and send form data to process.php -->

   <?php $form=$this->beginWidget('CActiveForm', array(
                                        'id'=>'invoice-form',
                                        'action'=>'invc_process',
                                        'htmlOptions'=>array('role'=>'form','enctype'=>'multipart/form-data'),
                                        )); ?>
    
    <!-- Start container -->
    <div class="container">

      <div class="navbar-collapse collapse" id="navbar-main">
                <ul class="nav navbar-nav navbar-right">
                    <li style="padding:10px;">
                        <button type="submit" name="Submit" id="subSaveSend" class="btn btn-success subSaveSend" value="Save & Send"> <span class="glyphicon glyphicon-save"></span> Save & Send</button> 
                    </li>
                </ul>
            </div>
       
        <!-- Start invoice -->
        <div class="invoice-page shadow">
        
            <!-- Start row 1 -->
            <div class="row">
            
                <!-- Invoice address to -->
                <div class="col-md-7">
                    <div id="address" >
                        <h4>Your Address:</h4>
                        <input id="address" name="invoice_address_from" value="<?php echo $bill_email;?>" class="form-control input-noshow" type="text"> 
                        <input id="address" name="invoice_address_fromname" value="<?php echo $bill_name;?>" class="form-control input-noshow" type="hidden"> 
                        </div>
                </div>

                <!-- Invoice logo -->
                <div class="col-md-5">          
                    <div id="logo" >
                        <h4>Logo</h4>

                        <div class="logo_prev">
                            <img id="img_prev" src="<?php echo Yii::app()->request->baseUrl; ?>/images/logo.png" alt="Your logo" class="img-thumbnail invoice-logo img-responsive"/>
                        </div>
                        <br>
                        <input type='file' onchange="logoImg(this);" name="invoice_logo" class="select-logo" data-validation="mime size" data-validation-allowing="jpg, png, gif" data-validation-max-size="2M" data-validation-error-msg="Only jpg, gif or png are allowed (Max 2mb)" />
                        <a class="delete-logo btn btn-default" style="" id="delete-logo" href="javascript:;" title="Remove row"><span class="glyphicon glyphicon-remove-circle"></span> Delete</a>

                    </div>
                </div>
              
            </div> <!-- End row 1 -->
        
            <hr>
            
            <!-- Start row 2 -->
            <div class="row">
            
            <!-- Invoice address to -->
            <div class="col-md-7">
                <div id="address" >
                    <h4>Bill To:</h4>
                    <input type="text" id="address" value="" class="form-control input-noshow" name="invoice_address_to">
                </div>
            </div>
            
            <!-- Invoice data -->
            <div class="col-md-5">
                <div id="invoice_data" >
                    <h4>Invoice details</h4>

                    <table class="table" width="100%">
                        <tr>
                            <td class="invoice-data-td"><strong>Invoice #</strong></td>
                            <td>INVC-<?php echo Yii::app()->user->getState('Userid').time();?><input type="hidden" id="invoice_nr" class="form-control" value="INVC-<?php echo Yii::app()->user->getState('Userid').time();?>"  name="invoice_nr"></td>
                        </tr>
                        <tr>
                            <td class="invoice-data-td"><strong>Date</strong></td>
                            <td><input type="text" class="form-control datepicker" name="invoice_date" value=""></td>
                        </tr>
                        <tr>
                            <td  class="invoice-data-td"><strong>Amount due</strong></td>
                            <td  style="line-height:35px;"><div class="due"><span class="currency"><?php echo CURRENCY_SYMBOL;?>0.00</span></div></td>
                        </tr>
                         <tr>
                            <td  class="invoice-data-td"><strong>Currency</strong></td>
                            <td  style="line-height:35px;"><div class="curency">

                            <select name="currency" onchange="return changeCurrencySymbol(this.value);" class="form-control">
                            	<option value="J$">JMD</option>
                            </select>

                            </div></td>
                        </tr>
                    </table>
                </div>
            </div>
            
            </div> <!-- End Row 2 -->
            
            <br><br>
            
            <!-- Start row 3 -->
            <div class="row">

                <div class="col-md-12">
                    <div class="table-responsive">
                      <table id="items" class="table">
                      
                          <tr class="invoice-items-th">
                              <th width="25%">Item</th>
                              <th width="40%">Description</th>
                              <th width="15%">Price</th>
                              <th width="10%">Qty</th>
                              <th width="15%" align="right"><font class="pull-right">Total</font></th>
                          </tr> 
                          
                          <tr class="item-row">
                              <td class="item-name">
                                  <div class="delete-wpr">
                                      <input type="text" class="form-control" value="" placeholder="Item name" name="item_name[]">
                                      <a class="delete btn" href="javascript:;" title="Remove row"><span class="glyphicon glyphicon-remove-circle" style="color:#cccccc;"></span></a>
                                  </div>
                              </td>
                              <td class="description">
                                  <textarea class="form-control" rows="1" placeholder="Item description" name="item_description[]"></textarea>
                              </td>
                              <td>
                                  <div class="input-group input-group">
                                      <span class="input-group-addon"><?php echo CURRENCY_SYMBOL;?></span>
                                      <input type="text" class="cost form-control" placeholder="0.00" name="item_price[]">
                                  </div>
                              </td>
                              <td><input type="text" class="qty form-control" value="" placeholder="0" name="item_qty[]"></td>
                              <td align="right"><span class="price"><span class="currency"><?php echo CURRENCY_SYMBOL;?></span>0.00</span></td>
                          </tr>
                          
                          <tr id="hiderow">
                              <td colspan="5"><a id="addrow" class="btn btn-success" href="javascript:;" title="Add a row"><span class="glyphicon glyphicon-plus-sign"></span> Add line</a></td>
                          </tr>

                          <tr>
                              <td colspan="2" class="blank"> </td>
                              <td colspan="2" class="total-line" align="right">Subtotal:</td>
                              <td class="total-value" align="right"><div id="subtotal"><span class="currency"><?php echo CURRENCY_SYMBOL;?></span>0.00</div></td>
                          </tr>

                          <tr>
                              <td colspan="2" class="blank"> </td>
                              <td colspan="2" class="total-line" align="right">Tax:
                              <select id="invoice_taxrate" name="invoice_taxrate"> 
                              <option value="1.20">20%</option> <!-- Taxrate 20% will be the value of 1.20, etc -->
                              <option value="1.21">21%</option> <!-- You can add more tax rate options to the select field -->
                              </select>
                              </td> <!-- Change your taxrate -->
                              <td class="total-value" align="right">
                                <div id="taxtotal"><span class="currency"><?php echo CURRENCY_SYMBOL;?></span>0.00</div>
                                <input type="hidden" id="invoice_total_tax" name="invoice_total_tax" value="">
                              </td>
                          </tr>
                          
                          <tr>
                              <td colspan="2" class="blank"> </td>
                              <td colspan="2" class="total-line" align="right">Total:</td>
                              <td class="total-value" align="right"><div id="total"><span class="currency"><?php echo CURRENCY_SYMBOL;?></span>0.00</div></td>
                          </tr>
                  
                          <tr>
                              <td colspan="2" class="blank"> </td>
                              <td colspan="2" class="total-line" align="right" style="line-height:35px;">Total Paid:</td>
                              <td class="total-value"> 
                                  <div class="input-group input-group" style="margin-right:-5px;">
                                      <span class="input-group-addon"><?php echo CURRENCY_SYMBOL;?></span>
                                      <input type="text" id="paid" class="form-control text-align-right" placeholder="0.00" name="invoice_total_paid">
                                  </div>
                              </td>
                          </tr>
                    
                          <tr>
                              <td colspan="2" class="blank"> </td>
                              <td colspan="2" class="total-line balance" align="right"><font class="invoice-total">Total Due:</font></td>
                              <td class="total-value balance" align="right"><h2><div class="due"><span class="currency"><?php echo CURRENCY_SYMBOL;?></span>0.00</div></h2></td>
                          </tr>
              
                      </table>
                    </div>
                    
                    <h4>Invoice notes</h4>
                    <hr>
                    <div class="col-md-12">
                        <textarea class="form-control" name="invoice_note" rows="3">Total amount should be paid within 14 working days from invoice date. </textarea>
                    </div>
                
                </div>
                
            </div> <!-- End row 3 -->



           <?php $this->endWidget(); ?>
          
            <br>
      
        </div> <!-- End invoice -->
  
        <br>
  
    </div> <!-- End Container -->


<script type="text/javascript">
	function changeCurrencySymbol(val) {
		$('.input-group-addon').text(val);
		$('.currency').text(val);
	}
</script>
